> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Dedicated Endpoint



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json post /v0/dedicated_endpoints
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260714-68e88e75b
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v0/dedicated_endpoints:
    post:
      tags:
        - dedicated-endpoints
      summary: Create Dedicated Endpoint
      operationId: create_dedicated_endpoint_v0_dedicated_endpoints_post
      parameters:
        - name: ai_project_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Project ID to create endpoint
            title: Ai Project Id
          description: Project ID to create endpoint
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DedicatedEndpointCreateRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DedicatedEndpointCreationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DedicatedEndpointCreateRequest:
      properties:
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
        description:
          type: string
          maxLength: 500
          title: Description
          default: ''
        model_name:
          type: string
          minLength: 1
          title: Model Name
        flavor_name:
          type: string
          minLength: 1
          title: Flavor Name
        gpu_type:
          $ref: '#/components/schemas/SupportedGPU'
        region:
          $ref: '#/components/schemas/SupportedRegion'
        gpu_count:
          type: integer
          minimum: 0
          title: Gpu Count
        custom_weights_id:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Custom Weights Id
        scaling:
          $ref: '#/components/schemas/EndpointScaling'
      type: object
      required:
        - name
        - model_name
        - flavor_name
        - gpu_type
        - region
        - gpu_count
        - scaling
      title: DedicatedEndpointCreateRequest
    DedicatedEndpointCreationResponse:
      properties:
        endpoint:
          $ref: '#/components/schemas/DedicatedEndpoint'
      type: object
      required:
        - endpoint
      title: DedicatedEndpointCreationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SupportedGPU:
      type: string
      enum:
        - gpu-l40s-d
        - gpu-l40s-a
        - gpu-h100-sxm
        - gpu-h200-sxm
        - gpu-b200-sxm
        - gpu-b200-sxm-a
        - gpu-b300-sxm
      title: SupportedGPU
    SupportedRegion:
      type: string
      enum:
        - eu-north1
        - us-central1
        - us-north1
        - eu-west1
        - eu-west2
        - me-west1
        - uk-south1
        - tf-eu1
        - tf-uk1
        - tf-us1
        - tf-us2
        - tf-us3
        - tf-us4
        - tf-ca1
      title: SupportedRegion
    EndpointScaling:
      properties:
        min_replicas:
          type: integer
          minimum: 1
          title: Min Replicas
        max_replicas:
          type: integer
          minimum: 1
          title: Max Replicas
      type: object
      required:
        - min_replicas
        - max_replicas
      title: EndpointScaling
    DedicatedEndpoint:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        enabled:
          type: boolean
          title: Enabled
        routing_key:
          type: string
          title: Routing Key
        model_name:
          type: string
          title: Model Name
        flavor_name:
          type: string
          title: Flavor Name
        region:
          type: string
          title: Region
        gpu_type:
          $ref: '#/components/schemas/SupportedGPU'
        gpu_count:
          type: integer
          title: Gpu Count
        custom_weights_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Custom Weights Id
        scaling:
          $ref: '#/components/schemas/EndpointScaling'
        deployment:
          $ref: '#/components/schemas/EndpointDeploymentStatus'
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - name
        - description
        - enabled
        - routing_key
        - model_name
        - flavor_name
        - region
        - gpu_type
        - gpu_count
        - custom_weights_id
        - scaling
        - deployment
        - created_at
      title: DedicatedEndpoint
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EndpointDeploymentStatus:
      properties:
        ready_replicas:
          type: integer
          title: Ready Replicas
        status:
          $ref: '#/components/schemas/DeploymentStatus'
        readiness:
          $ref: '#/components/schemas/DeploymentReadiness'
      type: object
      required:
        - ready_replicas
        - status
        - readiness
      title: EndpointDeploymentStatus
    DeploymentStatus:
      type: string
      enum:
        - starting
        - running
        - updating
        - stopping
        - stopped
        - error
      title: DeploymentStatus
    DeploymentReadiness:
      type: string
      enum:
        - ready
        - partially_ready
        - not_ready
      title: DeploymentReadiness
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````